package com.ningdatech.carapi.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.sys.entity.Operator;
import com.ningdatech.carapi.sys.entity.dto.OperatorSaveDTO;
import com.ningdatech.carapi.sys.entity.dto.OperatorUpdateDTO;

import java.util.List;

/**
 * <p>
 * 运营商
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-09-30
 */
public interface OperatorService extends IService<Operator> {


    /**
     * 根据ID删除
     * @param ids id
     * @return 是否成功
     */
    boolean removeByIdWithCache(List<Long> ids);

    /**
     * 保存企业
     *
     * @param data   运营商
     * @param userId 用户id
     */
    void save(OperatorSaveDTO data, Long userId);

    /**
     * 修改
     *
     * @param data   运营商
     * @param userId 用户id
     */
    void update(OperatorUpdateDTO data, Long userId);

    Boolean check(String name);
    Boolean check(String name, Long id);
}
